# Matrix (LWJGL API)
Date: 2015-07-28

## org.lwjgl.util.vector
Class Matrix

    java.lang.Object
      org.lwjgl.util.vector.Matrix

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  Matrix2f, Matrix3f, Matrix4f

    public abstract class Matrix

extends java.lang.Object
implements java.io.Serializable

Base class for matrices. When a matrix is constructed it will be the identity matrix unless otherwise stated.

Version:
  $Revision$ $Id$
Author:
  cix_foo <cix_foo@users.sourceforge.net>
See Also:
  Serialized Form

Constructor Summary
`protected` `Matrix()` Constructor for Matrix.

Method Summary
`abstract float` `determinant()`
`abstract Matrix` `invert()` Invert this matrix
`abstract Matrix` `load(java.nio.FloatBuffer buf)` Load from a float buffer.
`abstract Matrix` `loadTranspose(java.nio.FloatBuffer buf)` Load from a float buffer.
`abstract Matrix` `negate()` Negate this matrix
`abstract Matrix` `setIdentity()` Set this matrix to be the identity matrix.
`abstract Matrix` `setZero()` Set this matrix to 0.
`abstract Matrix` `store(java.nio.FloatBuffer buf)` Store this matrix in a float buffer.
`abstract Matrix` `storeTranspose(java.nio.FloatBuffer buf)` Store this matrix in a float buffer.
`abstract Matrix` `transpose()` Transpose this matrix

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Matrix

    protected Matrix()

  Constructor for Matrix.

Method Detail

### setIdentity

    public abstract Matrix setIdentity()

  Set this matrix to be the identity matrix.

  Returns:
    this

### invert

    public abstract Matrix invert()

  Invert this matrix

  Returns:
    this

### load

    public abstract Matrix load(java.nio.FloatBuffer buf)

  Load from a float buffer. The buffer stores the matrix in column major (OpenGL) order.

  Parameters:
    `buf` - A float buffer to read from
  Returns:
    this

### loadTranspose

    public abstract Matrix loadTranspose(java.nio.FloatBuffer buf)

  Load from a float buffer. The buffer stores the matrix in row major (mathematical) order.

  Parameters:
    `buf` - A float buffer to read from
  Returns:
    this

### negate

    public abstract Matrix negate()

  Negate this matrix

  Returns:
    this

### store

    public abstract Matrix store(java.nio.FloatBuffer buf)

  Store this matrix in a float buffer. The matrix is stored in column major (openGL) order.

  Parameters:
    `buf` - The buffer to store this matrix in
  Returns:
    this

### storeTranspose

    public abstract Matrix storeTranspose(java.nio.FloatBuffer buf)

  Store this matrix in a float buffer. The matrix is stored in row major (maths) order.

  Parameters:
    `buf` - The buffer to store this matrix in
  Returns:
    this

### transpose

    public abstract Matrix transpose()

  Transpose this matrix

  Returns:
    this

### setZero

    public abstract Matrix setZero()

  Set this matrix to 0.

  Returns:
    this

### determinant

    public abstract float determinant()

  Returns:
    the determinant of the matrix

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.